GCLOUD_IAM_SERVICE-ACCOUNTS_KEYS_LIST(1)

NAME

gcloud iam service-accounts keys list - list the keys for a service account

SYNOPSIS

gcloud iam service-accounts keys list --iam-account=IAM_ACCOUNT [--created-before=CREATED_BEFORE] [--managed-by=MANAGED_BY; default="any"] [--filter=EXPRESSION] [--limit=LIMIT] [--page-size=PAGE_SIZE] [--sort-by=[FIELD,...]] [--uri] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
List the keys for a service account.

REQUIRED FLAGS

    --iam-account=IAM_ACCOUNT
        A textual name to display for the account.

FLAGS

    --created-before=CREATED_BEFORE
        Return only keys created before the specified time. Common time formats are accepted. This is equivalent to --filter="validAfterTime<DATE_TIME".

    --managed-by=MANAGED_BY; default="any"
        The types of keys to list. MANAGED_BY must be one of: user, system, any.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --page-size=PAGE_SIZE
        Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.

    --sort-by=[FIELD,...]
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --uri
        Print a list of resource URIs instead of the default output.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To list all user-managed keys created before noon on July 19th, 2015 (to perform key rotation, for example), run:
    $ gcloud iam service-accounts keys list \
        --iam-account my-iam-account@somedomain.com --managed-by user \
        --created-before 2015-07-19T12:00:00Z